Package com.collibra.catalog.api.component.classification.dto

# Class ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder

Object
ChangeClassificationMatchRequestBuilder

Enclosing class:
  `ChangeClassificationMatchRequest`

public static class ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeClassificationMatchRequest`
  `build()`
  `ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder`
  `classificationMatchId(UUID classificationMatchId)`
  The `id` of the classification match.
  `ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder`
  `confidence(Double confidence)`
  The confidence level between 0-1 which the current match is assigned with.
  `ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder`
  `status(ChangeClassificationMatchRequest.ClassificationStatus status)`
  The classification status to be set on classification match with given id.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### classificationMatchId

    public ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder classificationMatchId(UUID classificationMatchId)
    The `id` of the classification match.
    Returns:
      `this`.

  - ### status

    public ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder status(ChangeClassificationMatchRequest.ClassificationStatus status)
    The classification status to be set on classification match with given id. Only possible choices : ACCEPTED, REJECTED.
    Returns:
      `this`.

  - ### confidence

    public ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder confidence(Double confidence)
    The confidence level between 0-1 which the current match is assigned with.
    Returns:
      `this`.

  - ### build

    public ChangeClassificationMatchRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`